Investors, warrants & staking

Update Staking Request

Sets a PENDING staking request to the given status and emails the recipient about the change.

POSThttps://api.toku.com/tga/update-staking-request

Not available to API keys yet. It will need grants:write.

curl --request POST \
  --url 'https://api.toku.com/tga/update-staking-request' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "requestID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "status": "DRAFT"
}'
200 response
{
  "stakingRequestID": "string",
  "stakingConfigurationID": "string",
  "roleInOrgID": "string",
  "stakingAmount": "string",
  "stakingBalance": "string",
  "stakingStartDate": "string",
  "stakingStatus": "DRAFT",
  "createdAt": "string",
  "grantID": "string",
  "updatedAt": "string",
  "stakingDistributionID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

requestIDstring<uuid>required
statusstringrequired

Available options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED

Response

200Successful response
stakingRequestIDstringrequired
stakingConfigurationIDstringrequired
roleInOrgIDstringrequired
stakingAmountstringrequired
stakingBalancestringrequired
stakingStartDatestringrequired
stakingStatusstringrequired

Available options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED

createdAtstringrequired
grantIDstringrequired
updatedAtstringrequired
stakingDistributionIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits